Groovy Documentation

## org.codehaus.groovy.grails.web.pages
[Java] Class GroovyPageResourceLoader

    java.lang.Object
      org.codehaus.groovy.grails.support.StaticResourceLoader
          org.codehaus.groovy.grails.web.pages.GroovyPageResourceLoader

    public class GroovyPageResourceLoader
    extends StaticResourceLoader

A StaticResourceLoader that loads GSPs from a local grails-app folder instead of from WEB-INF in development mode.

Authors:
  Graeme Rocher

See Also:
  StaticResourceLoader

Since:
  0.5

Field Summary
`static java.lang.String` | `BEAN_ID` The id of the instance of this bean to be used in the Spring context

Method Summary
`protected java.lang.String` | `getRealLocationInProject(java.lang.String location)` Retrieves the real location of a GSP within a Grails project
`Resource` | `getResource(java.lang.String location)`
`protected Resource` | `lookupResourceForPluginPath(java.lang.String location)`
`void` | `setBaseResource(Resource baseResource)`
`void` | `setPluginSettings(PluginBuildSettings settings)`

Methods inherited from class StaticResourceLoader
getClassLoader, getResource, setBaseResource

Field Detail

### BEAN_ID

    public static final java.lang.String BEAN_ID

  The id of the instance of this bean to be used in the Spring context

Method Detail

### getRealLocationInProject

    protected java.lang.String getRealLocationInProject(java.lang.String location)

  Retrieves the real location of a GSP within a Grails project
  Parameters:
    `location` - The location of the GSP at deployment time
  Returns:
    The location of the GSP at development time

### getResource

    @Override
    public Resource getResource(java.lang.String location)

### lookupResourceForPluginPath

    protected Resource lookupResourceForPluginPath(java.lang.String location)

### setBaseResource

    @Override
    public void setBaseResource(Resource baseResource)

### setPluginSettings

    public void setPluginSettings(PluginBuildSettings settings)

Groovy Documentation